### Hierarchy

- Camera

### Implements

- IRenderable
- IStackeable

## Index

### Constructors

- constructor

### Properties

- maxCanvasSize
- mediaStream
- spec

### Methods

- activatePhotoButton
- activateResetButton
- compressCameraImage
- initCamera
- render
- stopCamera
- takePhoto
- deactivateClick

## Constructors

### constructor

- new Camera(message: ISpecification): Camera

- - Defined in lib/renderable/camera/index.ts:22

  #### Parameters

  - ##### message: ISpecification

  #### Returns Camera

## Properties

### Private maxCanvasSize

maxCanvasSize: number

- Defined in lib/renderable/camera/index.ts:19

### Private Optional mediaStream

mediaStream: MediaStream

- Defined in lib/renderable/camera/index.ts:22

### Private spec

spec: ISpecification

- Defined in lib/renderable/camera/index.ts:20

## Methods

### Private activatePhotoButton

- activatePhotoButton(wrapper: HTMLDivElement): void

- - Defined in lib/renderable/camera/index.ts:118

  #### Parameters

  - ##### wrapper: HTMLDivElement

  #### Returns void

### Private activateResetButton

- activateResetButton(wrapper: HTMLDivElement): void

- - Defined in lib/renderable/camera/index.ts:173

  #### Parameters

  - ##### wrapper: HTMLDivElement

  #### Returns void

### Private compressCameraImage

- compressCameraImage(canvas: HTMLCanvasElement, wrapper: HTMLDivElement): Promise<void>

- - Defined in lib/renderable/camera/index.ts:142

  #### Parameters

  - ##### canvas: HTMLCanvasElement

  - ##### wrapper: HTMLDivElement

  #### Returns Promise<void>

### Private initCamera

- initCamera(wrapper: HTMLDivElement): void

- - Defined in lib/renderable/camera/index.ts:69

  #### Parameters

  - ##### wrapper: HTMLDivElement

  #### Returns void

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  - Defined in lib/renderable/camera/index.ts:32

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

### Private stopCamera

- stopCamera(wrapper: HTMLDivElement): void

- - Defined in lib/renderable/camera/index.ts:110

  #### Parameters

  - ##### wrapper: HTMLDivElement

  #### Returns void

### Private takePhoto

- takePhoto(wrapper: HTMLDivElement): void

- - Defined in lib/renderable/camera/index.ts:103

  #### Parameters

  - ##### wrapper: HTMLDivElement

  #### Returns void

### Static Private deactivateClick

- deactivateClick(element: HTMLDivElement): void

- - Defined in lib/renderable/camera/index.ts:188

  #### Parameters

  - ##### element: HTMLDivElement

  #### Returns void

Generated using TypeDoc